﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_ProblemReportInquiryScript")


<div class="content">
	<table style="width: 100%">
		<tr>
			<td style="width:100%;border:1px solid black;padding:7px;">
				<table width="100%">
					<tr style="height:25px">
						<td style="width: 4%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Problem Sheet No";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_PR_CD";
                            settings.Properties.ClientSideEvents.Init = "SetFocus";
                            settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                            settings.Properties.MaxLength = 13;
                            }
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
                            Label.Text = "*Problem sheet issuance";
							Label.Width = 120;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().DateEdit(
							settings =>
							{
							settings.Name = "I_PROBLEM_DATE_FROM";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
							settings.ReadOnly = false;
							settings.Properties.UseMaskBehavior = true;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
							settings.Properties.ClientSideEvents.ValueChanged = "Order_Date_OnChanged";
							}).GetHtml()
						</td>
						<td style="width: 2%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "To";
							Label.Width = 30;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().DateEdit(
							settings =>
							{
                                settings.Name = "I_PROBLEM_DATE_TO";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.DisplayFormatString = "dd.MM.yyyy";
							settings.ReadOnly = false;
							settings.Properties.UseMaskBehavior = true;
							settings.Properties.EditFormat = EditFormat.Custom;
                            settings.Properties.EditFormatString = "dd.MM.yyyy";
							}).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Part No";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_PART_NO";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                            settings.Properties.MaxLength = 12; 
                            }
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Tmap Part No";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
                            @Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_TMAP_PART_NO";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                            settings.Properties.MaxLength = 12; 
                            }
							).GetHtml()

						</td>
					</tr>
					<tr style="height:30px">
						<td style="width: 4%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Supplier";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_SUPPLIER";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                            settings.Properties.MaxLength = 6;                                
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Sub Supplier";
							Label.Width = 120;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
                            settings.Name = "I_SUB_SUPPLIER";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                            settings.Properties.MaxLength = 6;                                
                            }
							).GetHtml()
						</td>
						<td style="width: 2%;">
						</td>
						<td style="width: 10%;">
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Supplier Sheet Creator";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_SUPPLIER_CREATOR";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                            settings.Properties.MaxLength = 20;                                            
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Problem origin";
							Label.Width = 80;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().ComboBox(
							settings =>
							{
                                settings.Name = "I_PROBLEM_ORIGIN";
                                settings.Width = 120;
                                settings.Properties.DropDownWidth = 120;
							    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
							    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
							    settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "COMBO_LABEL";
                                settings.Properties.TextField = "COMBO_LABEL";
                                settings.SelectedIndex = 0;
                                //settings.Properties.ClientSideEvents.SelectedIndexChanged = "function(s, e) { I_PROBLEM_CATEGORY.PerformCallback(); }";
                            }).BindList(ViewData["PROBLEM_ORIGIN"]).GetHtml()
						</td>
					</tr>
					<tr style="height:25px">
						<td style="width: 4%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Problem category";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().ComboBox(
							settings =>
							{
                                settings.Name = "I_PROBLEM_CATEGORY";
                                settings.Width = 120;
                                settings.Properties.DropDownWidth = 120;
							    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
							    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
							    settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "COMBO_VALUE";
                                settings.Properties.TextField = "COMBO_LABEL";
                                settings.SelectedIndex = 0;
                                //settings.Properties.ClientSideEvents.SelectedIndexChanged = "function(s, e) { I_PROBLEM_CATEGORY.PerformCallback(); }";
                            }).BindList(ViewData["PROBLEM_CATEGORY_GRID"]).GetHtml()
                            
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Kanban ID";
							Label.Width = 120;
							}).GetHtml()
						</td>
						<td style="width: 10%;" colspan="3">
							@Html.DevExpress().TextBox(
							settings =>
							{
							settings.Name = "I_KANBAN_ID";
							settings.Width = 120;
							settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                            settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                            settings.Properties.MaxLength = 25;                                
							}
							).GetHtml()
						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
							@Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Send Status";
							Label.Width = 90;
							}).GetHtml()
						</td>
						<td style="width: 10%;">
							@Html.DevExpress().ComboBox(
							settings =>
							{
                                settings.Name = "I_SEND_STATUS";
                                settings.Width = 120;
                                settings.Properties.DropDownWidth = 120;
							    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
							    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
							    settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "COMBO_VALUE";
                                settings.Properties.TextField = "COMBO_LABEL";
                                settings.SelectedIndex = 0;
                                //settings.Properties.ClientSideEvents.SelectedIndexChanged = "function(s, e) { I_PROBLEM_CATEGORY.PerformCallback(); }";
                            }).BindList(ViewData["SEND_STATUS"]).GetHtml()

						</td>
						<td style="width: 3%;">
						</td>
						<td style="width: 5%;">
                            @Html.DevExpress().Label(
							Label =>
							{
							Label.Text = "Status problem sheet";
							Label.Width = 80;
							}).GetHtml()

						</td>
						<td style="width: 10%;">
							@Html.DevExpress().ComboBox(
							settings =>
							{
                                settings.Name = "I_STATUS_PROBLEM";
                                settings.Width = 120;
                                settings.Properties.DropDownWidth = 120;
							    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
							    settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
							    settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "COMBO_VALUE";
                                settings.Properties.TextField = "COMBO_LABEL";
                                settings.SelectedIndex = 0;
                                //settings.Properties.ClientSideEvents.SelectedIndexChanged = "function(s, e) { I_PROBLEM_CATEGORY.PerformCallback(); }";
                            }).BindList(ViewData["STATUS_PROBLEM_SHEET"]).GetHtml()
						</td>
					</tr>
		            <tr>
			            <td colspan="13">
				            <hr />
			            </td>
		            </tr>
					<tr>
						<td colspan="6">
							<table>
								<tr>
									<td>
										@Html.DevExpress().Button(edtSetting =>
										{
										edtSetting.Name = "cmdDownloadGi";
										edtSetting.Width = 160;
										edtSetting.Text = "Download GI to Scrap";
										edtSetting.ClientSideEvents.Click = "DownloadDataGi";
										edtSetting.Style.Add("display", "inline-table");
										edtSetting.UseSubmitBehavior = true;
										//            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "DOWNLOAD");
										}).GetHtml()

										@Html.DevExpress().Button(edtSetting =>
										{
										edtSetting.Name = "cmdDownload";
										edtSetting.Width = 80;
										edtSetting.Text = "Download";
										edtSetting.ClientSideEvents.Click = "DownloadData";
										edtSetting.Style.Add("display", "inline-table");
										edtSetting.UseSubmitBehavior = true;
										//            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "DOWNLOAD");
										}).GetHtml()

                                        @Html.DevExpress().Button(edtSetting =>
							            {
							            edtSetting.Name = "cmdSend";
							            edtSetting.Width = 80;
							            edtSetting.Text = "Send";
                                        edtSetting.ClientSideEvents.Click = "SendDataToIppcs";
							            edtSetting.Style.Add("display", "inline-table");
							            edtSetting.UseSubmitBehavior = true;
							            //         edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-02", "SAVE");
							            }).GetHtml()

									</td>
									<td>
									</td>
								</tr>
							</table>
						</td>
						<td colspan="7" align="right">
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdSearch";
							edtSetting.Width = 80;
							edtSetting.Text = "Search";
							edtSetting.ClientSideEvents.Click = "OnSearch";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "SEARCH");
							}).GetHtml()
							@Html.DevExpress().Button(edtSetting =>
							{
							edtSetting.Name = "cmdClear";
							edtSetting.Width = 80;
							edtSetting.Text = "Clear";
							edtSetting.ClientSideEvents.Click = "OnClear";
							edtSetting.Style.Add("display", "inline-table");
							edtSetting.UseSubmitBehavior = true;
							//edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartPriceMaster", "FTR-SPEX-158-01", "CLEAR");
							}).GetHtml()
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<hr />
			</td>
		</tr>
		<tr>
                         <td style="width: 5%;">
							@Html.DevExpress().TextBox(hsettings =>
							{
							hsettings.Name = "Process_ID2";
							hsettings.ClientVisible = false;
							}).GetHtml()
						</td>
			</br>
		</tr>
	</table>
</div>
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "T_SUB_MANIFEST_NO";
    hsettings.ClientVisible = false;
    }).GetHtml()
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "T_PART_NO";
    hsettings.ClientVisible = false;
    }).GetHtml()
    @Html.DevExpress().TextBox(hsettings =>
    {
    hsettings.Name = "T_PR_CD";
    hsettings.ClientVisible = false;
    }).GetHtml()
<div class="content" style="min-height: 300px">
	@Html.Partial("ProblemReportInquiryGrid")
</div>




